#ifndef AUDIOOUT48_H
#define AUDIOOUT48_H

#include <QObject>
#include <QIODevice>
#include <QByteArray>
#include <QtMultimedia/QAudioFormat>
#include <QtMultimedia/QAudioOutput>
#include <QFile>
#include <QDateTime>
#include <QMutex>

typedef unsigned char int8u;
typedef unsigned short int int16u;
typedef unsigned long int int32u;
typedef signed char int8s;
typedef signed short int int16s;
typedef signed long int int32s;

class AudioOut48 : public QIODevice
{
    Q_OBJECT
public:
    AudioOut48(QObject *parent);
    ~AudioOut48();

    void start();
    void stop();
    void resetGlobals();

    qint64 readData(char *data, qint64 maxlen);
    qint64 writeData(const char *data, qint64 len);
    qint64 bytesAvailable() const;
    void writeSample(int16s sample);

private:
    QMutex mutex;
    QByteArray m_buffer;

    bool produceRawOutputFile;
    QFile* uncompressedFile48;
    QDataStream uncompressedOut48;
};

#endif // AUDIOOUT48_H
