#ifndef QUICKSETDIALOG_H
#define QUICKSETDIALOG_H

#include <QDebug>
#include <QtWidgets/QDialog>
#include <QDir>

#define CONF_FILE             "cmd.conf"

namespace Ui {
class QuickSetDialog;
}

class QuickSetDialog : public QDialog
{
    Q_OBJECT

public:
    explicit QuickSetDialog(QWidget *parent = 0);
    ~QuickSetDialog();

private slots:
    void on_deviceTypeComboBox_currentIndexChanged(int index);
    void on_deviceTypeComboBox_activated(int index);
    void on_deviceBrandComboBox_currentIndexChanged(int index);
    void on_deviceBrandComboBox_activated(int index);
    void on_deviceModelComboBox_currentIndexChanged(int index);
    void on_deviceModelComboBox_activated(int index);
    void on_deviceBrandPrefix_textChanged(const QString &newBrandPrefix);
    void on_deviceModelPrefix_textChanged(const QString &newModelPrefix);

    void on_setCodeButton_clicked();

private:
    Ui::QuickSetDialog *ui;
    bool quicksetEnabled;
    QString brandPrefix;
    QString modelPrefix;
};

#endif // QUICKSETDIALOG_H

