#ifndef SERIALHANDLER_H
#define SERIALHANDLER_H

#include <QtSerialPort/QSerialPort>
#include "rf4ceprotocolhandler.h"

class RF4CEProtocolHandler;

class SerialHandler : public QThread
{
    Q_OBJECT

public:
    SerialHandler(QObject *parent=0, RF4CEProtocolHandler* pProtocolHandler=0);
    ~SerialHandler();

    bool startStream(const QSerialPortInfo* serialPortInfo);
    void stopStream();
    int write(unsigned char* buffer, unsigned char bufferLength);
protected:
    void run();

private:
    volatile bool runStream;

    // Framing variables for data received function
    bool needNewPacket;
    QList<char> *packet;

    QSerialPort serialPort;
    RF4CEProtocolHandler* protocolHandler;
};

#endif // SERIALHANDLER_H
